curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"seller_url":"https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7","num_of_products":30}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lwhideng15g8jg63s7¬ify=false&include_errors=true&type=discover_new&discover_by=seller"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_lwhideng15g8jg63s7",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "seller",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"seller_url": "https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7",
"num_of_products": 30,
},
],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_lwhideng15g8jg63s7",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "seller",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
seller_url: "https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7",
num_of_products: 30,
},
],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"title": "Wireless Charging Pad 15W Fast Charge",
"url": "https://www.amazon.com/dp/B0C99887GH",
"asin": "B0C99887GH",
"price": 18.99,
"currency": "USD",
"rating": 4.4,
"reviews_count": 7300,
"seller_name": "Electronics Hub",
"brand": "ChargeFast",
"availability": "In Stock",
"main_image": "https://m.media-amazon.com/images/I/example-charger.jpg",
"description": "Slim wireless charging pad compatible with all Qi-enabled devices.",
"category": "Electronics > Accessories > Chargers",
"country_domain": "amazon.com"
}
]
Amazon
Discover Amazon global by seller
Discover Amazon global products listed by a seller URL with the Bright Data Scraper API: POST /datasets/v3/scrape, dataset_id gd_lwhideng15g8jg63s7.
POST
/
datasets
/
v3
/
scrape
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"seller_url":"https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7","num_of_products":30}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lwhideng15g8jg63s7¬ify=false&include_errors=true&type=discover_new&discover_by=seller"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_lwhideng15g8jg63s7",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "seller",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"seller_url": "https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7",
"num_of_products": 30,
},
],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_lwhideng15g8jg63s7",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "seller",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
seller_url: "https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7",
num_of_products: 30,
},
],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"title": "Wireless Charging Pad 15W Fast Charge",
"url": "https://www.amazon.com/dp/B0C99887GH",
"asin": "B0C99887GH",
"price": 18.99,
"currency": "USD",
"rating": 4.4,
"reviews_count": 7300,
"seller_name": "Electronics Hub",
"brand": "ChargeFast",
"availability": "In Stock",
"main_image": "https://m.media-amazon.com/images/I/example-charger.jpg",
"description": "Slim wireless charging pad compatible with all Qi-enabled devices.",
"category": "Electronics > Accessories > Chargers",
"country_domain": "amazon.com"
}
]
Query Parameters
string
default:"gd_lwhideng15g8jg63s7"
required
The dataset ID used for this request.
Must be set to
gd_lwhideng15g8jg63s7 to collect Discover by Seller data.string
default:"discover_new"
Must be set to
discover_new.string
default:"seller"
Must be set to
seller.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"seller_url":"https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7","num_of_products":30}],"limit_per_input":null}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lwhideng15g8jg63s7¬ify=false&include_errors=true&type=discover_new&discover_by=seller"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_lwhideng15g8jg63s7",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "seller",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [
{
"seller_url": "https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7",
"num_of_products": 30,
},
],
"limit_per_input": None,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_lwhideng15g8jg63s7",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "seller",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [
{
seller_url: "https://www.amazon.com/sp?ie=UTF8&seller=A2FE2Y3KEQLBV7",
num_of_products: 30,
},
],
limit_per_input: null,
}),
});
console.log(await response.text());
[
{
"title": "Wireless Charging Pad 15W Fast Charge",
"url": "https://www.amazon.com/dp/B0C99887GH",
"asin": "B0C99887GH",
"price": 18.99,
"currency": "USD",
"rating": 4.4,
"reviews_count": 7300,
"seller_name": "Electronics Hub",
"brand": "ChargeFast",
"availability": "In Stock",
"main_image": "https://m.media-amazon.com/images/I/example-charger.jpg",
"description": "Slim wireless charging pad compatible with all Qi-enabled devices.",
"category": "Electronics > Accessories > Chargers",
"country_domain": "amazon.com"
}
]
Was this page helpful?